{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Editar movimiento{% endblock %}

  {% block page %}
    <!-- begin breadcrumb -->
    <ol class="breadcrumb float-xl-right">
        <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
        <li class="breadcrumb-item active"><a href="{% url 'bank-account-list' %}">Cuenta {{ account.tag }}</a></li>
        <li class="breadcrumb-item active"><a href="{% url 'cartolas-list' account.account_number %}">Cartola {{ cartola.number }}</a></li>
        <li class="breadcrumb-item active"><a href="{% url 'cartolas-movements-list' cartola.pk %}">Movimiento {{ movement.pk }}</a></li>
        <li class="breadcrumb-item active">Modificar</li>
      </ol>
      <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Modificar movimiento {{ movement.pk }}</h1>
  <!-- end page-header -->
 <!-- begin row -->
 <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Modificar movimiento</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
            <form id="customer-form" class="form-horizontal" method="post">
              <h6> Descripción: {{ movement.description }}</h6>
              <h6> Número de documento: {{ movement.number_document }}</h6>
                {% csrf_token %}
                <div class="form-group row m-b-15" {% if not_payment %} hidden {%endif%}>
                    <label for="{{ form.payment.auto_id }}" class="col-form-label col-md-3">Pago</label>
                    <div class="col-sm-9">
                        <select name="payment" class="form-control m-b-5" id="id_payment" {% if not_payment_provider %} required {%endif%}>
                            {%if active_payment %}
                            <option value="{{active_payment.pk}}" selected>$ {{active_payment.amount}} --- {{active_payment.comment}}</option>
                            {%endif%}
                            {%for i in payments %}
                            <option value="{{i.pk}}">$ {{i.amount}} --- {{i.comment}}</option>
                            {%endfor%}
                        </select>       
                        {% for error in form.payment.errors %}
                        <small class="f-s-12 text-danger">{{ error }}</small>
                        {% endfor %}
                    </div>
                </div>
                <div class="form-group row m-b-15" {% if not_payment_provider %} hidden {%endif%}>
                  <label for="{{ form.payment_provider.auto_id }}" class="col-form-label col-md-3">Pago</label>
                  <div class="col-sm-9">
                      <select name="payment_provider" class="form-control m-b-5" id="id_payment_provider" {% if not_payment %} required {%endif%}>
                          {%if active_payment_provider %}
                          <option value="{{active_payment_provider.pk}}" selected>$ {{active_payment_provider.amount}} --- {{active_payment_provider.comment}}</option>
                          {%endif%}
                          {%for i in payments_provider %}
                          <option value="{{i.pk}}">$ {{i.amount}} --- {{i.comment}}</option>
                          {%endfor%}
                      </select>       
                      {% for error in form.payment_provider.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                  </div>
              </div>
                <input type="submit" value="Actualizar" class="btn btn-primary">
	            <a href="{% url 'cartolas-movements-list' cartola.pk %}" class="btn btn-default">Cancelar</a>
            </form>
        </div>
        <!-- end panel-body -->
      </div>
    <!-- end panel -->
    </div>
<!-- end col-12 -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

  

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("finances_menu").classList.add("active");
    //active submenu item
    document.getElementById("bank_account").classList.add("active");
</script>
{% endblock %}